<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
 * Delay rendering of children until a callback is called.
 */
class Wact_View_Slot extends Wact_View_Partial {

    /**
    * Trigger rendering
    * @return void
    */
    public function delayedRender() {
        parent::render();
    }

    /**
    * Delay rendering of children
    * @return void
    */
    public function render() {
        $this->root->output->onOutputDo(array($this, 'delayedRender'));
    }
}

?>